PUT Relation/{id}
Some tooltip text!
• 6 minutes to read
• 6 minutes to read
PUT /api/v1/Relation/{id}
Updates the existing ContactRelationEntity
NsApiSlow threshold: 5000 ms.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The ContactRelationEntity id to update. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
PUT /api/v1/Relation/{id}?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entity
The ContactRelationEntity to be saved.
| Property Name | Type | Description |
|---|---|---|
| SourceContactId | Integer | Id of the source contact. The value is mandatory. |
| SourcePersonId | Integer | Id of the source person. The value is not mandatory. The person must belong to the source contact. |
| DestinationContactId | Integer | Id of the destination contact. The value is mandatory. |
| DestinationPersonId | Integer | Id of the destination person. The value is not mandatory. The person must belong to the destination contact. |
| RelationId | Integer | Primary key |
| Comment | String | Comment for relation |
| RelationDefinitionId | Integer | Reference to definition |
| Reversed | Integer | Is direction reversed relative to definition |
| UpdatedDate | String | Last updated when in UTC. |
| CreatedDate | String | Registered when in UTC. |
| CreatedBy | Associate | Carrier object for Associate. Services for the Associate Carrier is available from the |
| UpdatedBy | Associate | Carrier object for Associate. Services for the Associate Carrier is available from the |
| SourceContactName | String | Name of the source contact. |
| SourcePersonName | String | Name of the source person. |
| DestinationContactName | String | Name of the destination contact. |
| DestinationPersonName | String | Name of the destination person. |
| ActiveText | String | Active text for the relation. |
| PassiveText | String | Passive text for the relation. |
Response:
ContactRelationEntity updated.
| Response | Description |
|---|---|
| 200 | ContactRelationEntity updated. |
| 412 | Update stopped because ContactRelationEntity has changed since the requested If-Unmodified-Since timestamp. |
| 400 | Bad request. Entity to save is not in request body. |
Response body: ContactRelationEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| SourceContactId | int32 | Id of the source contact. The value is mandatory. |
| SourcePersonId | int32 | Id of the source person. The value is not mandatory. The person must belong to the source contact. |
| DestinationContactId | int32 | Id of the destination contact. The value is mandatory. |
| DestinationPersonId | int32 | Id of the destination person. The value is not mandatory. The person must belong to the destination contact. |
| RelationId | int32 | Primary key |
| Comment | string | Comment for relation |
| RelationDefinitionId | int32 | Reference to definition |
| Reversed | int32 | Is direction reversed relative to definition |
| UpdatedDate | date-time | Last updated when in UTC. |
| CreatedDate | date-time | Registered when in UTC. |
| CreatedBy | Associate | Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent. |
| UpdatedBy | Associate | Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent. |
| SourceContactName | string | Name of the source contact. |
| SourcePersonName | string | Name of the source person. |
| DestinationContactName | string | Name of the destination contact. |
| DestinationPersonName | string | Name of the destination person. |
| ActiveText | string | Active text for the relation. |
| PassiveText | string | Passive text for the relation. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
PUT /api/v1/Relation/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"SourceContactId": 432,
"SourcePersonId": 852,
"DestinationContactId": 539,
"DestinationPersonId": 789,
"RelationId": 662,
"Comment": "ut",
"RelationDefinitionId": 714,
"Reversed": 714,
"UpdatedDate": "2017-03-12T14:34:01.8459763+01:00",
"CreatedDate": "2019-04-15T14:34:01.8459763+02:00",
"CreatedBy": null,
"UpdatedBy": null,
"SourceContactName": "Cassin-Zieme",
"SourcePersonName": "Farrell Group",
"DestinationContactName": "Greenholt LLC",
"DestinationPersonName": "Yundt LLC",
"ActiveText": "occaecati",
"PassiveText": "in"
}
Sample response
HTTP/1.1 200 ContactRelationEntity updated.
Content-Type: application/json; charset=utf-8
{
"SourceContactId": 506,
"SourcePersonId": 439,
"DestinationContactId": 172,
"DestinationPersonId": 243,
"RelationId": 36,
"Comment": "Main business relationship",
"RelationDefinitionId": 307,
"Reversed": 348,
"UpdatedDate": "2011-01-04T14:34:01.8459763+01:00",
"CreatedDate": "2003-07-12T14:34:01.8459763+02:00",
"CreatedBy": null,
"UpdatedBy": null,
"SourceContactName": "Bergnaum LLC",
"SourcePersonName": "Murazik-Zulauf",
"DestinationContactName": "Kovacek, Reynolds and Hoeger",
"DestinationPersonName": "Rohan-Spencer",
"ActiveText": "nesciunt",
"PassiveText": "non",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 798
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/contact/321",
"Archive": "https://www.example.com/api/v1/contact"
}
}